#!/usr/bin/env python

import sys
import serial
import time
import socket

# Define message complete with
# carriage return at the end
message1 = "IP Address:"

# create the socket
p = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

# Configure Pi serial port
s = serial.Serial()
s.baudrate = 9600
s.timeout = 0
s.port = "/dev/ttyAMA0"
 
try:
    p.connect(("www.google.com", 80))
	
	# get the ip address
    message2 = p.getsockname()[0]
 
    # Open serial port
    s.open()
 
    print"Serial Connected"
 
    # Clear display and turn the light on
    s.write(chr(18))
    s.write(chr(12))
 
    # turn the light on
    s.write(chr(17))
 
    # Send message line 1
    print message1
    s.write(message1)
 
	# send message line 2
    print message2
    s.write(chr(13))
    s.write(message2)
 
    # Short delay
    time.sleep(5)
 
    # turn the light off
    s.write(chr(18))

	# close the serial port
    s.close()
    p.close()

    print"Operation Complete"
	
except serial.SerialException, e:
    # There was an error
    sys.stderr.write("could not open port %r: %s\n" % (port, e))
    sys.exit(1)
